## mingw-w64-python-igraph-0.11.9-1.src.tar.zst

=== vendor/source/igraph/fuzzing/CMakeLists.txt ===
include(fuzz_helpers)

add_custom_target(build_fuzzers)

# Add fuzz targets
add_fuzzer(basic_properties_directed)
add_fuzzer(basic_properties_undirected)
add_fuzzer(bliss)
add_fuzzer(centrality)
add_fuzzer(weighted_centrality)
add_fuzzer(community)
add_fuzzer(weighted_community)
add_fuzzer(edge_connectivity)
add_fuzzer(linear_algos_directed)
add_fuzzer(linear_algos_undirected)
add_fuzzer(misc_algos)
add_fuzzer(misc_algos_weighted)
add_fuzzer(read_dimacs_flow)
add_fuzzer(read_dl)
add_fuzzer(read_edgelist)
add_fuzzer(read_gml)
add_fuzzer(read_graphdb)
add_fuzzer(read_graphml)
add_fuzzer(read_lgl)
add_fuzzer(read_ncol)
add_fuzzer(read_pajek)
add_fuzzer(vertex_connectivity)
add_fuzzer(vertex_separators)
add_fuzzer(write_all_gml)
add_fuzzer(write_all_graphml)
